OpenShot Audio Library | OpenShotAudio: juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse > Class Template Reference

`#include <juce_ArrayAllocationBase.h>`

Inherits TypeOfCriticalSectionToUse.

## Public Member Functions
| ArrayAllocationBase ()=default
| ~ArrayAllocationBase ()=default
| ArrayAllocationBase (ArrayAllocationBase &&other) noexcept
ArrayAllocationBase & | operator= (ArrayAllocationBase &&other) noexcept
void | setAllocatedSize (int numElements)
void | ensureAllocatedSize (int minNumElements)
void | shrinkToNoMoreThan (int maxNumElements)
void | swapWith (ArrayAllocationBase &other) noexcept

## Public Attributes
HeapBlock< ElementType > | elements
int | numAllocated = 0

## Detailed Description

template<class ElementType, class TypeOfCriticalSectionToUse>
class juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >

Implements some basic array storage allocation functions.

This class isn't really for public use - it used to be part of the container classes but has since been superseded by ArrayBase. Eventually it will be removed from the API.

Definition at line 37 of file juce_ArrayAllocationBase.h.

## Constructor & Destructor Documentation

## ◆ ArrayAllocationBase() [1/2]

template<class ElementType , class TypeOfCriticalSectionToUse >

juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::ArrayAllocationBase | ( |  | ) |
| default

Creates an empty array.

## ◆ ~ArrayAllocationBase()

template<class ElementType , class TypeOfCriticalSectionToUse >

juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::~ArrayAllocationBase | ( |  | ) |
| default

Destructor.

## ◆ ArrayAllocationBase() [2/2]

template<class ElementType , class TypeOfCriticalSectionToUse >

juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::ArrayAllocationBase | ( | ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse > && | other | ) |
| inlinenoexcept

Definition at line 47 of file juce_ArrayAllocationBase.h.

## Member Function Documentation

## ◆ ensureAllocatedSize()

template<class ElementType , class TypeOfCriticalSectionToUse >

void juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::ensureAllocatedSize | ( | int | minNumElements | ) |
| inline

Increases the amount of storage allocated if it is less than a given amount.

This will retain any data currently held in the array, but will add extra space at the end to make sure there it's at least as big as the size passed in. If it's already bigger, no action is taken.

Parameters

  minNumElements | the minimum number of elements that are needed

Definition at line 89 of file juce_ArrayAllocationBase.h.

## ◆ operator=()

template<class ElementType , class TypeOfCriticalSectionToUse >

ArrayAllocationBase & juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::operator= | ( | ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse > && | other | ) |
| inlinenoexcept

Definition at line 53 of file juce_ArrayAllocationBase.h.

## ◆ setAllocatedSize()

template<class ElementType , class TypeOfCriticalSectionToUse >

void juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::setAllocatedSize | ( | int | numElements | ) |
| inline

Changes the amount of storage allocated.

This will retain any data currently held in the array, and either add or remove extra space at the end.

Parameters

  numElements | the number of elements that are needed

Definition at line 68 of file juce_ArrayAllocationBase.h.

Referenced by juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::ensureAllocatedSize(), and juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::shrinkToNoMoreThan().

## ◆ shrinkToNoMoreThan()

template<class ElementType , class TypeOfCriticalSectionToUse >

void juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::shrinkToNoMoreThan | ( | int | maxNumElements | ) |
| inline

Minimises the amount of storage allocated so that it's no more than the given number of elements.

Definition at line 100 of file juce_ArrayAllocationBase.h.

## ◆ swapWith()

template<class ElementType , class TypeOfCriticalSectionToUse >

void juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::swapWith | ( | ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse > & | other | ) |
| inlinenoexcept

Swap the contents of two objects.

Definition at line 107 of file juce_ArrayAllocationBase.h.

## Member Data Documentation

## ◆ elements

template<class ElementType , class TypeOfCriticalSectionToUse >

HeapBlock<ElementType> juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::elements

Definition at line 114 of file juce_ArrayAllocationBase.h.

## ◆ numAllocated

template<class ElementType , class TypeOfCriticalSectionToUse >

int juce::ArrayAllocationBase< ElementType, TypeOfCriticalSectionToUse >::numAllocated = 0

Definition at line 115 of file juce_ArrayAllocationBase.h.

The documentation for this class was generated from the following file:

- juce_ArrayAllocationBase.h